---
title: CSSStyleDeclaration.removeProperty()
slug: Web/API/CSSStyleDeclaration/removeProperty
tags:
  - API
  - CSSOM
  - Method
  - Reference
---
<p>{{ APIRef("CSSOM") }}</p>

<p>The <strong><code>CSSStyleDeclaration.removeProperty()</code></strong> method interface removes a property from a CSS style declaration object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>oldValue</em> = <em>style</em>.removeProperty(<em>property</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><em><code>property</code></em> is a {{domxref('DOMString')}} representing the property name to be removed. Note that multi-word property names are hyphenated and not camel-cased.</li>
</ul>

<h3 id="Return_value">Return value</h3>

<ul>
 <li><code><em>oldValue</em></code> is a {{domxref('DOMString')}} equal to the value of the CSS property before it was removed.</li>
</ul>

<h3 id="Exceptions">Exceptions</h3>

<ul>
 <li>{{domxref('DOMException')}} NO_MODIFICATION_ALLOWED_ERR: if the property or declaration block is read only.</li>
</ul>

<h2 id="Example">Example</h2>

<p>The following JavaScript code removes the <code>background-color</code> CSS property from a selector rule:</p>

<pre class="brush: js notranslate">var declaration = document.styleSheets[0].rules[0].style;
var oldValue = declaration.removeProperty('background-color');
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM', '#dom-cssstyledeclaration-removeproperty', 'CSSStyleDeclaration.removeProperty()')}}</td>
   <td>{{Spec2('CSSOM')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSStyleDeclaration', 'CSSStyleDeclaration')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleDeclaration.removeProperty")}}</p>
